\begin{acknowledgements}

Nothing happens in a vacuum in life. All that I have learned and achieved
during my graduate school can be attributed to everyone and everything that has
touched my life and enabled me.

To Andrew, thanks for initializing me into LIGO research and helping me rebuild
my confidence. You are the best mentor one can hope for and I wouldn't be half
as good in anything if I didn't get to bloom under your umbrella in the initial
years at LIGO.

To Paco, thank you for being the best labmate one can ask for. Your
companionship in the hard and the soft times at work, your mentorship when I
was jaded and lost, and your friendship in life propelled me through the second
half of grad school.

To the 40m crew, Jancarlo, Radhika, Tega, Yehonathan, and Yuta, thank you for
your partnership and great teamwork. I learned a lot while being down in the
trenches with you all and I cherish the things we have created together.

To Koji and Rana, thank you for your mentorship and all the nudges and pulls I
needed to make this happen. Thanks for your trust in me and for providing me
the opportunity to learn and conduct research in one of the best labs in the
field

To comrade Aaron, thanks for getting me into LIGO and always trusting in me
even when I lost that myself. You have pulled me up countless times in the past
5 years and I will always be thankful to you for that.

To Alex, Craig, Ian, James, Johannes, Kevin, Raj, Raymond, Shruti, and Su,
thanks for all the great times at our lunches and our social events. Thanks to
Aidan, Chris, Gabriele, Jamie and Lee for your helpful advice and directions.
Thanks to the whole LIGO community at Caltech for the amazing softball seasons,
coffee and donuts, and the social hours.

To my thesis advisory committee, thanks for your advice and mentorship.

To my best friends at Caltech, Arian, Chris, and Vinicius, thank you for taking
me in and creating our family. I never felt alone at Caltech thanks to you all.
Thanks to all my friends in Pasadena, for hosting me and for coming to my
events and the long board game nights.

To Jonathan, Joyce, Marco, Saurabh, and Vaishakh thanks for all the trips and
fun in San Diego. Thanks for creating our own little family here in the US.

To my insanely understanding plants, thanks for being with me through all kinds
of times and filling my life with love and hope.

To Twix and Munch, thanks for coming into my life and giving me your
unconditional support and love, especially during these last few months. I wish
you could read and understand this, you are the best kittens in the world.

To Anamika, the love of my life, thanks for being there for me and taking care
of me. Your love and support helped me achieve everything I have today, I am
the most lucky person on Earth to have you in my life. Thanks for being my
cornerstone.

To my parents, and my brother, thanks for answering my endless questions and
making me into a scientist. My dreams would not have come true if you all had
not supported me. Thank you, mummy, for passing me your experimental skills,
thank you, papa, for passing me your problem-solving skills, and thank you
bhaiya for showing me the future and introducing me to science as a kid. Thank
you bhabhi for your love and support.

\end{acknowledgements}
